
Redmine - Feature #1467

Can't delete some Activities in Enumerations

2008-06-16 17:15 - Maxim Krušina

Status: Closed Start date: 2008-06-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

It's probably all activities are used... We created so much fine-grained activities, which after time seems to be to complicated. Now I

need delete some activities and merge records into other activities.

For example, we have two activities: Programmer Junior and Programmer Senior. I would like to have only one category:

Programmer. SO I would like to rename first category and delete second category. When deleting second category, there should be

similar dialog, found in other parts of Redmine: it should ask me what to do with existing records? set different activity from select or

leave activity clean...

Is it possible?

Related issues:

Has duplicate Redmine - Feature #500: Delete Enumerations Closed

Associated revisions

Revision 1558 - 2008-06-17 21:10 - Jean-Philippe Lang

Ability to remove enumerations (activities, priorities, document categories) that are in use. Associated objects can be reassigned to another value

(#1467).

History

#1 - 2008-06-17 21:06 - Jean-Philippe Lang

- Category changed from Time tracking to Administration

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Committed in r1558.

You can now delete activities (priorities and document categories as well) and reassign associated objects to another value.
